
.. index::
   pair: History ; Bootstrap

.. _css_bootstrap_history:

=====================================
bootstrap history
=====================================




English Wikipedia History
============================

.. seealso::

   - https://en.wikipedia.org/wiki/Bootstrap_(front-end_framework)


Bootstrap, originally named Twitter Blueprint, was developed by Mark Otto and
Jacob Thornton at Twitter as a framework to encourage consistency across
internal tools.

Before Bootstrap, various libraries were used for interface development,
which led to inconsistencies and a high maintenance burden.

According to Twitter developer Mark Otto::

    "A super small group of developers and I got together to design and build
    a new internal tool and saw an opportunity to do something more.

    Through that process, we saw ourselves build something much more substantial
    than another internal tool.
    Months later, we ended up with an early version of Bootstrap as a way to
    document and share common design patterns and assets within the company."

After a few months of development by a small group, many developers at Twitter
began to contribute to the project as a part of Hack Week, a hackathon-style week
for the Twitter development team.

It was renamed from Twitter Blueprint to Bootstrap, and released as an open
source project on August 19, 2011.

It has continued to be maintained by Mark Otto, Jacob Thornton, and a small
group of core developers, as well as a large community of contributors

French Wikipedia History
============================

.. seealso::

   - https://fr.wikipedia.org/wiki/Bootstrap_(front-end_framework)


Avant l'arrivée de Bootstrap, plusieurs bibliothèques existaient, ce qui menait
à des incohérences et à un coût de maintenance élevé.

Cette plate-forme a été conçue par deux développeurs faisant partie de la
mouvance de développeurs qui gravitent autour de Twitter, Mark Otto et
Jacob Thornton, et avait le nom de Twitter Blueprint en 20102.

Le premier déploiement à échelle réelle eut lieu lors de la première hackweek
organisée par Twitter.

En août 2011, Twitter place Bootstrap sous licence open source.

En février 2012, Bootstrap est le projet le plus populaire sur GitHub.
